<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2009 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    any later version accepted by Marco Maria Francesco De Santis, which
#    shall act as a proxy as defined in Section 14 of version 3 of the
#    license.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##################################################################################


function crea_menu_date ($file_menu,$nuovo_file_menu,$tipo_periodi) {
$pag = "giorni_mesi.php";
#if ($tipo_periodi == "g") $aggiungi_giorni = 1;
#else $aggiungi_giorni = 7;
include($file_menu);
$file_intero = file("$file_menu");
$fileaperto = fopen("$nuovo_file_menu","w+");
flock($fileaperto,2);

$date_option = "";
#$n_date_menu = 0;
$fr_Sun = mex(" Do",$pag);
$fr_Mon = mex(" Lu",$pag);
$fr_Tue = mex(" Ma",$pag);
$fr_Wed = mex(" Me",$pag);
$fr_Thu = mex(" Gi",$pag);
$fr_Fri = mex(" Ve",$pag);
$fr_Sat = mex(" Sa",$pag);
$fr_Jan = mex("Gen",$pag);
$fr_Feb = mex("Feb",$pag);
$fr_Mar = mex("Mar",$pag);
$fr_Apr = mex("Apr",$pag);
$fr_May = mex("Mag",$pag);
$fr_Jun = mex("Giu",$pag);
$fr_Jul = mex("Lug",$pag);
$fr_Aug = mex("Ago",$pag);
$fr_Sep = mex("Set",$pag);
$fr_Oct = mex("Ott",$pag);
$fr_Nov = mex("Nov",$pag);
$fr_Dec = mex("Dic",$pag);
$num_file_intero = count($file_intero);

for ($num1 = 0 ; $num1 < $num_file_intero ; $num1++) {
if (substr($file_intero[$num1],0,7) == "<option") {
$data_option = aggiungi_slash(substr($file_intero[$num1],16,10));
$giorno_option = substr($data_option,8,2);
$mese_option = substr($data_option,5,2);
$anno_option = substr($data_option,0,4);
$nome_giorno = date("D" , mktime(0,0,0,$mese_option,$giorno_option,$anno_option));
$nome_mese = date("M" , mktime(0,0,0,$mese_option,$giorno_option,$anno_option));
if ($tipo_periodi == "g") {
if ($nome_giorno == "Sun") $nome_giorno = $fr_Sun;
if ($nome_giorno == "Mon") $nome_giorno = $fr_Mon;
if ($nome_giorno == "Tue") $nome_giorno = $fr_Tue;
if ($nome_giorno == "Wed") $nome_giorno = $fr_Wed;
if ($nome_giorno == "Thu") $nome_giorno = $fr_Thu;
if ($nome_giorno == "Fri") $nome_giorno = $fr_Fri;
if ($nome_giorno == "Sat") $nome_giorno = $fr_Sat;
} # fine if ($tipo_periodi == "g")
else $nome_giorno = "";
if ($nome_mese == "Jan") $nome_mese = $fr_Jan;
if ($nome_mese == "Feb") $nome_mese = $fr_Feb;
if ($nome_mese == "Mar") $nome_mese = $fr_Mar;
if ($nome_mese == "Apr") $nome_mese = $fr_Apr;
if ($nome_mese == "May") $nome_mese = $fr_May;
if ($nome_mese == "Jun") $nome_mese = $fr_Jun;
if ($nome_mese == "Jul") $nome_mese = $fr_Jul;
if ($nome_mese == "Aug") $nome_mese = $fr_Aug;
if ($nome_mese == "Sep") $nome_mese = $fr_Sep;
if ($nome_mese == "Oct") $nome_mese = $fr_Oct;
if ($nome_mese == "Nov") $nome_mese = $fr_Nov;
if ($nome_mese == "Dec") $nome_mese = $fr_Dec;
#if (!$date_option) {
#$a_ini_menu = substr($data_option,0,4);
#$m_ini_menu = (substr($data_option,5,2) - 1);
#$g_ini_menu = substr($data_option,8,2);
#} # fine if (!$date_option)
#$n_date_menu++;
$date_option .= "<option value=\\\"$data_option\\\">$nome_mese $giorno_option$nome_giorno, $anno_option</option>
";
} # fine if (substr($file_intero[$num1],0,7) == "<option")
} # fine for $num1

fwrite($fileaperto,"<?php 

");
for ($num1 = 0 ; $num1 < count($d_increment) ; $num1++) {
fwrite($fileaperto,"\$y_ini_menu[$num1] = \"".$y_ini_menu[$num1]."\";
\$m_ini_menu[$num1] = \"".$m_ini_menu[$num1]."\";
\$d_ini_menu[$num1] = \"".$d_ini_menu[$num1]."\";
\$n_dates_menu[$num1] = \"".$n_dates_menu[$num1]."\";
\$d_increment[$num1] = \"".$d_increment[$num1]."\";
");
} # fine for $num1
if ($partial_dates) fwrite($fileaperto,"\$partial_dates = 1;
");
fwrite($fileaperto,"\$d_names = \"\\\"".mex(" Do","inizio.php")."\\\",\\\"".mex(" Lu","inizio.php")."\\\",\\\"".mex(" Ma","inizio.php")."\\\",\\\"".mex(" Me","inizio.php")."\\\",\\\"".mex(" Gi","inizio.php")."\\\",\\\"".mex(" Ve","inizio.php")."\\\",\\\"".mex(" Sa","inizio.php")."\\\"\";
\$m_names = \"\\\"".mex("Gen","inizio.php")."\\\",\\\"".mex("Feb","inizio.php")."\\\",\\\"".mex("Mar","inizio.php")."\\\",\\\"".mex("Apr","inizio.php")."\\\",\\\"".mex("Mag","inizio.php")."\\\",\\\"".mex("Giu","inizio.php")."\\\",\\\"".mex("Lug","inizio.php")."\\\",\\\"".mex("Ago","inizio.php")."\\\",\\\"".mex("Set","inizio.php")."\\\",\\\"".mex("Ott","inizio.php")."\\\",\\\"".mex("Nov","inizio.php")."\\\",\\\"".mex("Dic","inizio.php")."\\\"\";

\$dates_options_list = \"

$date_option
\";

?>");
flock($fileaperto,3);
fclose($fileaperto);
} # fine function crea_menu_date




function aggiorna_menu_date ($file_menu,$tipo_periodi) {
$pag = "giorni_mesi.php";
#if ($tipo_periodi == "g") $aggiungi_giorni = 1;
#else $aggiungi_giorni = 7;
include($file_menu);
$file_intero = file("$file_menu");
$fileaperto = fopen("$file_menu","w+");
flock($fileaperto,2);
$date_option = "";
#$n_date_menu = 0;
for ($num1 = 0 ; $num1 < count($file_intero) ; $num1++) {
if (substr($file_intero[$num1],0,7) == "<option") {
$data_option = aggiungi_slash(substr($file_intero[$num1],16,10));
$giorno_option = substr($data_option,8,2);
$mese_option = substr($data_option,5,2);
$anno_option = substr($data_option,0,4);
$nome_giorno = date("D" , mktime(0,0,0,$mese_option,$giorno_option,$anno_option));
$nome_mese = date("M" , mktime(0,0,0,$mese_option,$giorno_option,$anno_option));
if ($tipo_periodi == "g") {
if ($nome_giorno == "Sun") $nome_giorno = mex(" Do",$pag);
if ($nome_giorno == "Mon") $nome_giorno = mex(" Lu",$pag);
if ($nome_giorno == "Tue") $nome_giorno = mex(" Ma",$pag);
if ($nome_giorno == "Wed") $nome_giorno = mex(" Me",$pag);
if ($nome_giorno == "Thu") $nome_giorno = mex(" Gi",$pag);
if ($nome_giorno == "Fri") $nome_giorno = mex(" Ve",$pag);
if ($nome_giorno == "Sat") $nome_giorno = mex(" Sa",$pag);
} # fine if ($tipo_periodi == "g")
else $nome_giorno = "";
if ($nome_mese == "Jan") $nome_mese = mex("Gen",$pag);
if ($nome_mese == "Feb") $nome_mese = mex("Feb",$pag);
if ($nome_mese == "Mar") $nome_mese = mex("Mar",$pag);
if ($nome_mese == "Apr") $nome_mese = mex("Apr",$pag);
if ($nome_mese == "May") $nome_mese = mex("Mag",$pag);
if ($nome_mese == "Jun") $nome_mese = mex("Giu",$pag);
if ($nome_mese == "Jul") $nome_mese = mex("Lug",$pag);
if ($nome_mese == "Aug") $nome_mese = mex("Ago",$pag);
if ($nome_mese == "Sep") $nome_mese = mex("Set",$pag);
if ($nome_mese == "Oct") $nome_mese = mex("Ott",$pag);
if ($nome_mese == "Nov") $nome_mese = mex("Nov",$pag);
if ($nome_mese == "Dec") $nome_mese = mex("Dic",$pag);
#if (!$date_option) {
#$a_ini_menu = substr($data_option,0,4);
#$m_ini_menu = (substr($data_option,5,2) - 1);
#$g_ini_menu = substr($data_option,8,2);
#} # fine if (!$date_option)
#$n_date_menu++;
$date_option .= "<option value=\\\"$data_option\\\">$nome_mese $giorno_option$nome_giorno, $anno_option</option>
";
} # fine if (substr($file_intero[$num1],0,7) == "<option")
} # fine for $num1
fwrite($fileaperto,"<?php 

");
for ($num1 = 0 ; $num1 < count($d_increment) ; $num1++) {
fwrite($fileaperto,"\$y_ini_menu[$num1] = \"".$y_ini_menu[$num1]."\";
\$m_ini_menu[$num1] = \"".$m_ini_menu[$num1]."\";
\$d_ini_menu[$num1] = \"".$d_ini_menu[$num1]."\";
\$n_dates_menu[$num1] = \"".$n_dates_menu[$num1]."\";
\$d_increment[$num1] = \"".$d_increment[$num1]."\";
");
} # fine for $num1
if ($partial_dates) fwrite($fileaperto,"\$partial_dates = 1;
");
fwrite($fileaperto,"\$d_names = \"\\\"".mex(" Do","inizio.php")."\\\",\\\"".mex(" Lu","inizio.php")."\\\",\\\"".mex(" Ma","inizio.php")."\\\",\\\"".mex(" Me","inizio.php")."\\\",\\\"".mex(" Gi","inizio.php")."\\\",\\\"".mex(" Ve","inizio.php")."\\\",\\\"".mex(" Sa","inizio.php")."\\\"\";
\$m_names = \"\\\"".mex("Gen","inizio.php")."\\\",\\\"".mex("Feb","inizio.php")."\\\",\\\"".mex("Mar","inizio.php")."\\\",\\\"".mex("Apr","inizio.php")."\\\",\\\"".mex("Mag","inizio.php")."\\\",\\\"".mex("Giu","inizio.php")."\\\",\\\"".mex("Lug","inizio.php")."\\\",\\\"".mex("Ago","inizio.php")."\\\",\\\"".mex("Set","inizio.php")."\\\",\\\"".mex("Ott","inizio.php")."\\\",\\\"".mex("Nov","inizio.php")."\\\",\\\"".mex("Dic","inizio.php")."\\\"\";

\$dates_options_list = \"

$date_option
\";

?>");
flock($fileaperto,3);
fclose($fileaperto);
} # fine function aggiorna_menu_date





?>